apiVersion: apps/v1
kind: Deployment
metadata:
  name: croot-operator
spec:
  replicas: 1
  selector:
    matchLabels:
      name: croot-operator
  template:
    metadata:
      labels:
        name: croot-operator
    spec:
      serviceAccountName: croot-operator
      containers:
        - name: ansible
          command:
          - /usr/local/bin/ao-logs
          - /tmp/ansible-operator/runner
          - stdout
          image: registry.gitlab.com/matilda.peak/ansible-operator-croot:stable
          imagePullPolicy: Always
          volumeMounts:
          - mountPath: /tmp/ansible-operator/runner
            name: runner
            readOnly: true
        - name: operator
          image: registry.gitlab.com/matilda.peak/ansible-operator-croot:stable
          imagePullPolicy: Always
          volumeMounts:
          - mountPath: /tmp/ansible-operator/runner
            name: runner
          env:
            - name: WATCH_NAMESPACE
              valueFrom:
                fieldRef:
                  fieldPath: metadata.namespace
            - name: POD_NAME
              valueFrom:
                fieldRef:
                  fieldPath: metadata.name
            - name: OPERATOR_NAME
              value: "croot-operator"
      volumes:
        - name: runner
          emptyDir: {}
